using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.User
{
    /// <summary>
    /// 教师擅长枚举
    /// </summary>
    public enum SpecialtyEnum
    {
        /// <summary>
        /// 少儿类：主要以丰富可与时间和兴趣为主，要求课堂轻松活跃。趣味性十足
        /// </summary>
        [EnumField("少儿类")]
        Children = 1,

        /// <summary>
        /// 兴趣类：成年人，对日语学习从兴趣开始，要求课堂丰富有趣
        /// </summary>
        [EnumField("兴趣类")]
        Interest = 2,

        /// <summary>
        /// 实用类：对于日语学习有一定的需求（考研、就业等），要求学习过程专业，干货多
        /// </summary>
        [EnumField("实用类")]
        Practical = 3,

        /// <summary>
        /// 留学类：打算去往日本留学（本科、硕士、语言学校、私塾等）
        /// </summary>
        [EnumField("留学类")]
        StudyAbroad = 4
    }
}
